:root {
  --primary: #130032;
  --secondary: rgb(255, 242, 0);
  --secondary-hover: rgb(255, 217, 0);
  --accent: rgb(255, 228, 167);
}

* {
  margin: 0;
  box-sizing: border-box;
}
header {
  background: hsl(0, 0%, 100%);
  top: 0;
  position: sticky;
  height: 60px;
  align-items: center;
}
header,
.banner,
.intro,
.projects,
.services,
.testimony,
.work-approach,
footer {
  padding: 10px 50px;
}
.banner {
  background: var(--primary);
  color: white;
}
.intro {
  background: #ffff;
  color: rgb(0, 0, 0);
}
.title {
  color: rgb(255, 0, 0);
}
.projects {
  background: var(--primary);
  color: #ffff;
}
.button {
  background: crimson;
  color: #ffff;
  cursor: pointer;
}
.button:hover {
  background: var(--secondary-hover);
}
.testimony {
  background-color: #ffff;
  color: rgb(0, 0, 0);
}
.work-approach {
  background-color: var(--secondary);
  color: rgb(0, 0, 0);
}
footer {
  background: var(--primary);
  color: #ffff;
}
.contact-title {
  background-color: var(--primary);
  color: #ffff;
}
.work {
  background: crimson;
}
.work:hover {
  background: var(--secondary-hover);
}
.flex-container {
  display: flex;
}
.logo {
  margin-right: auto;
  align-self: center;
  color: red;
}
nav > ul {
  display: flex;
  gap: 20px;
  list-style: none;
}
nav > ul > li {
  border-bottom: 1px solid transparent;
  cursor: pointer;
}
nav > ul > li:hover {
  /* text-decoration: underline; */
  border-bottom: 1px dotted black;
}
.active {
  border-bottom: 1px solid black;
}
.banner {
  display: flex;
}
.banner > .info {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding: 20px;
}
.banner > .image-container {
  flex: 1;
  width: 200px;
}
.image-container > img {
  width: 100%;
}
.intro {
  text-align: center;
}
.services {
  text-align: center;
}
.service-content {
  display: grid;
  grid-template-columns: 1fr 1fr;
  text-align: center;
}
.service-content > .card {
  padding: 20px;
}
.service-content > .card > .card-title {
  font-weight: 700;
  font-size: 1.5rem;
}
.hamburger {
  display: none;
  height: 25px;
}
.hamburger > img {
  height: 100%;
}
@media screen and (max-width: 768px) {
  .hamburger {
    display: block;
  }
  nav > ul {
    display: none;
  }
  .banner {
    flex-direction: column-reverse;
  }
  .banner > .image-container {
    align-self: center;
  }
}